import { Plugin } from 'vite';

type ExtractAuthOptions = {
  /**
   * 应用key
   */
  appKey?: string;
  /**
   * 路由资源文件地址，相对于项目根目录
   * @default config/base
   */
  entry?: string;
  /**
   * 过滤未配置权限页面
   * @default ['exception', 'error', '404', '403', '500', 'DS_Store']
   */
  routeFilterRules?: string[];
  /**
   * 接口权限前缀
   * @default ''
   */
  apiPrefix?: string;
};

declare function extractAuth(options?: ExtractAuthOptions): Plugin;

export { extractAuth as default };
